Bug 142704 - [PATCH] java/jai-imageio: use $SUB_FILES to dynamically adjust pkg-message
Summary: [PATCH] java/jai-imageio: use $SUB_FILES to dynamically adjust pkg-message
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-java (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-11 02:30 UTC by Sevan Janiyan
Modified: 2011-05-11 06:00 UTC (History)
1 user (show)

See Also:


Attachments
jai-imageio-1.0_2.patch (3.94 KB, patch)
2010-01-11 02:30 UTC, Sevan Janiyan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sevan Janiyan 2010-01-11 02:30:01 UTC
use $SUB_FILES & SUB_LIST to dynamically adjust pkg-message instead of invoking sed manually
IGNORE & RESTRICTED messages should not be quoted

Added file(s):
- files/pkg-message-jre.in
- files/pkg-message-libmap.in

Removed file(s):
- pkg-message-jre
- pkg-message-libmap

Port maintainer (java@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Philip M. Gollucci freebsd_committer 2010-01-11 02:35:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 2 Philip M. Gollucci freebsd_committer 2010-01-11 02:56:57 UTC
Responsible Changed
From-To: pgollucci->java

oops
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2010-01-11 11:40:24 UTC
Responsible Changed
From-To: java->freebsd-java

Canonicalize assignment.
Comment 4 Greg Lewis freebsd_committer 2010-02-28 23:16:26 UTC
State Changed
From-To: open->feedback

The patches look good to me, but the port is currently unfetchable so 
its difficult to test them.  It looks like it might be downloadable 
at https://jai-imageio.dev.java.net/binary-builds.html#Release_builds 
though.  But it looks like only 1.0_1 and 1.1 are available, not 1.0.
Comment 5 Sevan Janiyan 2010-03-01 12:06:23 UTC
Managed to fetch manually from:
http://java.sun.com/products/java-media/jai/downloads/download-iio.html
Comment 6 Philip M. Gollucci freebsd_committer 2010-09-17 00:09:58 UTC
State Changed
From-To: feedback->open

Feedback received
Comment 7 Sevan Janiyan 2011-05-03 11:54:50 UTC
Can this be commited?
v1.0 is fetchable manually from
http://java.sun.com/products/java-media/jai/downloads/download-iio.html
Comment 8 dfilter service freebsd_committer 2011-05-11 05:57:43 UTC
glewis      2011-05-11 04:57:29 UTC

  FreeBSD ports repository

  Modified files:
    java/jai-imageio     Makefile 
  Added files:
    java/jai-imageio/files pkg-message-jre.in 
                           pkg-message-libmap.in 
  Removed files:
    java/jai-imageio     pkg-message-jre pkg-message-libmap 
  Log:
  . Use $SUB_FILES & SUB_LIST to dynamically adjust pkg-message instead of
    invoking sed manually.
  . IGNORE & RESTRICTED messages should not be quoted
  
  PR:             142704
  Submitted by:   Sevan Janiyan <venture37@geeklan.co.uk>
  
  Revision  Changes    Path
  1.6       +7 -6      ports/java/jai-imageio/Makefile
  1.1       +7 -0      ports/java/jai-imageio/files/pkg-message-jre.in (new)
  1.1       +7 -0      ports/java/jai-imageio/files/pkg-message-libmap.in (new)
  1.2       +0 -7      ports/java/jai-imageio/pkg-message-jre (dead)
  1.2       +0 -7      ports/java/jai-imageio/pkg-message-libmap (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Greg Lewis freebsd_committer 2011-05-11 05:57:55 UTC
State Changed
From-To: open->closed

Committed.  Thanks! 

Please note that by default this port has a RUN_DEPENDS on a port 
(www/linuxpluginwrapper) that doesn't work for FreeBSD 8.0.